| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
uiSurvInfoProvider Class Referenceabstract
uiIo

`#include <uisip.h>`

Inheritance diagram for uiSurvInfoProvider:
[legend]

## Public Types
enum | TDInfo { Unknown , Time , DepthMeter , DepthFeet }

## Public Member Functions
virtual | ~uiSurvInfoProvider ()
virtual uiDialog * | dialog (uiParent *)=0
virtual void | fillLogPars (IOPar &) const
virtual void | fillPar (IOPar &) const
virtual IOPar * | getCoordSystemPars () const
virtual IOPar * | getImportPars () const
virtual bool | getInfo (uiDialog *, TrcKeyZSampling &, Coord crd[3])=0
virtual mDeprecatedObs bool | getLatLongAnchor (Coord &, LatLong &)
virtual bool | getSRD (float &)
| return value must be in SI units (meters)
virtual bool | hasSurveyImportDlg ()
virtual const char * | iconName () const
virtual uiString | importAskQuestion () const
virtual bool | isAvailable () const
virtual uiDialog * | launchSurveyImportDlg (uiParent *)
| mOD_DisableCopy (uiSurvInfoProvider) virtual uiString usrText() const =0
virtual void | startImport (uiParent *, const IOPar &)
virtual TDInfo | tdInfo () const
virtual bool | xyInFeet () const

## Static Public Member Functions
static void | addPluginsInfoProviders ()
static bool | getRanges (TrcKeyZSampling &, Coord[3], Coord crd1, Coord crd2, double gridspacing)
| Calculates sampling and 3 corner coordinates.

## Protected Member Functions
| uiSurvInfoProvider ()

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ TDInfo

enum uiSurvInfoProvider::TDInfo

Enumerator
Unknown |
Time |
DepthMeter |
DepthFeet |

## Constructor & Destructor Documentation

## ◆ ~uiSurvInfoProvider()

virtual uiSurvInfoProvider::~uiSurvInfoProvider | ( |  | ) |
| virtual

## ◆ uiSurvInfoProvider()

uiSurvInfoProvider::uiSurvInfoProvider | ( |  | ) |
| protected

## Member Function Documentation

## ◆ addPluginsInfoProviders()

static void uiSurvInfoProvider::addPluginsInfoProviders | ( |  | ) |
| static

## ◆ dialog()

virtual uiDialog * uiSurvInfoProvider::dialog | ( | uiParent * |  | ) |
| pure virtual

Implemented in ui2DSurvInfoProvider, uiNavSurvInfoProvider, uiCopySurveySIP, uiSurveyFileSIP, uiLASSurvInfoProvider, uiSEGYSurvInfoProvider, and uiSEGYClassicSurvInfoProvider.

## ◆ fillLogPars()

virtual void uiSurvInfoProvider::fillLogPars | ( | IOPar & |  | ) | const
| virtual

Reimplemented in ui2DSurvInfoProvider, uiNavSurvInfoProvider, uiCopySurveySIP, uiSurveyFileSIP, uiLASSurvInfoProvider, and uiSEGYSurvInfoProvider.

## ◆ fillPar()

virtual void uiSurvInfoProvider::fillPar | ( | IOPar & |  | ) | const
| inline virtual

## ◆ getCoordSystemPars()

virtual IOPar * uiSurvInfoProvider::getCoordSystemPars | ( |  | ) | const
| inline virtual

Reimplemented in ui2DSurvInfoProvider, uiNavSurvInfoProvider, uiCopySurveySIP, uiSurveyFileSIP, uiLASSurvInfoProvider, and uiSEGYSurvInfoProvider.

## ◆ getImportPars()

virtual IOPar * uiSurvInfoProvider::getImportPars | ( |  | ) | const
| inline virtual

Reimplemented in uiNavSurvInfoProvider, uiLASSurvInfoProvider, uiSEGYSurvInfoProvider, and uiSEGYClassicSurvInfoProvider.

## ◆ getInfo()

virtual bool uiSurvInfoProvider::getInfo | ( | uiDialog * | ,
|  | TrcKeyZSampling & | ,
|  | Coord | crd[3] )
| pure virtual

Implemented in ui2DSurvInfoProvider, uiNavSurvInfoProvider, uiCopySurveySIP, uiSurveyFileSIP, uiLASSurvInfoProvider, uiSEGYSurvInfoProvider, and uiSEGYClassicSurvInfoProvider.

## ◆ getLatLongAnchor()

virtual mDeprecatedObs bool uiSurvInfoProvider::getLatLongAnchor | ( | Coord & | ,
|  | LatLong & | )
| inline virtual

## ◆ getRanges()

static bool uiSurvInfoProvider::getRanges | ( | TrcKeyZSampling & | ,
|  | Coord | [3],
|  | Coord | crd1,
|  | Coord | crd2,
|  | double | gridspacing )
| static

Calculates sampling and 3 corner coordinates.

## ◆ getSRD()

virtual bool uiSurvInfoProvider::getSRD | ( | float & |  | ) |
| inline virtual

return value must be in SI units (meters)

## ◆ hasSurveyImportDlg()

virtual bool uiSurvInfoProvider::hasSurveyImportDlg | ( |  | ) |
| inline virtual

## ◆ iconName()

virtual const char * uiSurvInfoProvider::iconName | ( |  | ) | const
| inline virtual

Reimplemented in ui2DSurvInfoProvider, uiNavSurvInfoProvider, uiCopySurveySIP, uiSurveyFileSIP, uiLASSurvInfoProvider, uiSEGYSurvInfoProvider, and uiSEGYClassicSurvInfoProvider.

## ◆ importAskQuestion()

virtual uiString uiSurvInfoProvider::importAskQuestion | ( |  | ) | const
| inline virtual

Reimplemented in uiNavSurvInfoProvider, uiLASSurvInfoProvider, uiSEGYSurvInfoProvider, and uiSEGYClassicSurvInfoProvider.

## ◆ isAvailable()

virtual bool uiSurvInfoProvider::isAvailable | ( |  | ) | const
| inline virtual

## ◆ launchSurveyImportDlg()

virtual uiDialog * uiSurvInfoProvider::launchSurveyImportDlg | ( | uiParent * |  | ) |
| inline virtual

## ◆ mOD_DisableCopy()

uiSurvInfoProvider::mOD_DisableCopy | ( | uiSurvInfoProvider |  | ) | const
| pure virtual

## ◆ startImport()

virtual void uiSurvInfoProvider::startImport | ( | uiParent * | ,
|  | const IOPar & | )
| inline virtual

Reimplemented in uiNavSurvInfoProvider, uiLASSurvInfoProvider, uiSEGYSurvInfoProvider, and uiSEGYClassicSurvInfoProvider.

## ◆ tdInfo()

virtual TDInfo uiSurvInfoProvider::tdInfo | ( |  | ) | const
| inline virtual

Reimplemented in ui2DSurvInfoProvider, uiNavSurvInfoProvider, uiCopySurveySIP, uiSurveyFileSIP, and uiSEGYSurvInfoProvider.

## ◆ xyInFeet()

virtual bool uiSurvInfoProvider::xyInFeet | ( |  | ) | const
| inline virtual

Reimplemented in uiCopySurveySIP, uiSurveyFileSIP, uiSEGYSurvInfoProvider, and uiSEGYClassicSurvInfoProvider.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025